$(document).ready(function () {

    /* scroll Up */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('.scrollup').fadeIn();
        } else {
            $('.scrollup').fadeOut();
        }
    });
    $('.scrollup').click(function () {
        $('html, body').animate({
            scrollTop: 0
        }, 1500, "easeInOutCubic");
        return false;
    });

// SANDWICH MENU
    $('.menu-icon').click(function () {
        $('.menu-icon').toggleClass('active');
    });

// NAVIGATION CONFIG
    $('.menu-icon').click(function () {
        if ($('.top-row').is(':visible')) {
            $('.top-row').fadeOut(600);
            // $('.menu-icon').css('position', 'absolute');
            $('.main-navigation li').removeClass('fadeInUp animated');
        } else {
            $('.top-row').fadeIn(600);
            // $('.menu-icon').css('position', 'fixed');
            $('.main-navigation li').addClass('fadeInUp animated');
            $('.wrapper-cabinet .phone').addClass('fadeInUp animated');
            $('.wrapper-cabinet .cabinet').addClass('fadeInUp animated');
            $('.my-account__header .wrapper-cabinet span').addClass('fadeInUp animated');
            $('.wrapper-cabinet .order').addClass('fadeInUp animated');
            // $('.main-navigation li').addClass('fadeInLeft animated');
        }
        ;
    });

    $('.main-navigation li a').click(function () {
        $('.top-row').fadeOut(600);
        $('.menu-icon').toggleClass('active');
    });

// SLOW to #item
    $('.main-navigation li a').mPageScroll2id();

// WAYPOINT for cirle element
    $('.services-right')
        .waypoint(function (dir) {
            if (dir === 'down')
                $('.menu-toggler').attr('checked', 'checked');
        }, {
            offset: '20%'//to the top last 50% of animated block
        })

// SLICK SLIDER
    $('.slider').slick({
        dots: true,
        infinite: true,
        speed: 300,
        slidesToShow: 1,
        adaptiveHeight: true
    });


    /* lazyload News */
    $('.allnews-item').hide();
    $('.allnews-item').slice(0, 4).show();
    $('.more-news').on('click', function (e) {
        e.preventDefault();
        $('.allnews-item:hidden').slice(0, 4).slideDown('slow');
        if (!$('.allnews-item:hidden').length) {
            $(this).hide();
        }
    });

    //$('[name=ptime]').change(function () {
    //    var lang = $(this).data('lang');
    //    if (lang != 'ua') {
    //        setTimeout(function () {
    //            window.location.href = '/';
    //        }, 500);
    //    } else {
    //        setTimeout(function () {
    //            window.location.href = '/';
    //        }, 500);
    //    }
    //});

    $('[name=ptime]').change(function () {
        window.location.reload();
    });

});